/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Multifox.
 *
 * The Initial Developer of the Original Code is
 * Jeferson Hultmann <hultmann@gmail.com>
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

const EXPORTED_SYMBOLS = ["showError"];

Components.utils.import("resource://multifox-modules/util.js");
Components.utils.import("resource://multifox-modules/main.js");

function showError(win, notSupportedFeature) {
  var browser = util2.findBrowser(win);
  if (browser === null) {
    browser = Components.classes["@mozilla.org/appshell/window-mediator;1"]
                .getService(Components.interfaces.nsIWindowMediator)
                .getMostRecentWindow("navigator:browser")
                .gBrowser
                .selectedBrowser;
  }

  var box = browser.ownerDocument.defaultView.gBrowser.getNotificationBox(browser);
  var name = "multifox-" + notSupportedFeature;
  var notification = box.getNotificationWithValue(name);
  if (notification) {
    return;
  }

  var msg = util.getText("notification.error.label", "Multifox", notSupportedFeature, util2.appName());
  box.appendNotification(msg,
                         name,
                         "chrome://global/skin/icons/warning-16.png",
                         box.PRIORITY_WARNING_MEDIUM,
                         null);
}
